%define name mate-pcfusion-theme
%define oname pcfusion-theme
%define version 1.0
%define release %mkrel 2

Summary:	PCFusion 2 Theme for the Mate Desktop
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.xz
License:	GPL
Group:		Graphical desktop/Mate
Url:		http://pclinuxos.com/
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch

%description
This package will install the Mate PCFusion 2 theme and switch
grub,bootsplash, gdm login and background to this theme.


%prep
%setup -q

%build
#nobuild

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/opt/mate/%oname
cp -a * $RPM_BUILD_ROOT/opt/mate/%oname

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/opt/mate/%oname

%posttrans
/bin/cp /opt/mate/%oname/gfxmenu /boot/gfxmenu
/bin/cp /opt/mate/%oname/Stripes.png /usr/share/backgrounds/mate/desktop/
/bin/mkdir -p usr/share/gdm/themes/Avio-GDM
/bin/cp /opt/mate/%oname/Avio-GDM/* /usr/share/gdm/themes/Avio-GDM/
/bin/mkdir -p /usr/share/plymouth/themes/%oname
/bin/cp /opt/mate/%oname/%oname/* /usr/share/plymouth/themes/%oname/
/usr/bin/remove-theme > /dev/null 2>&1 
sleep 2
/usr/bin/switch-themes %oname > /dev/null 2>&1 


%changelog
* Sat Sep 10 2016 adrianomorselli <adrianomorselli> 1.0-2uplos2013
- rebuild

* Tue Nov 26 2013 billybot <billybot> 1.0-2pclos2013
- change grub splash to something more simple

* Sat Nov 23 2013 billybot <billybot> 1.0-1pclos2013
- create package
